Subject: bug#45760: 28.0.50; defcustom :type -- describe valid options

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 10 Jan 2021 13:43:28 +0100

Tomas Nordin <[email-masked]> writes:

> The help for defcustom describe many things. One of them is the keyword
> :type. It shall be a widget type.
>
> I suggest to describe or link to information about what valid widget
> types there are to choose from.

No such list exists -- new types can be added dynamically.  But I guess
it makes sense to add a link to the Customization Types node in the
lispref manual, which lists the base types and a bunch of composite
types.

I've now done this in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no